Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoVRMLIndexedShape Class Reference

The SoVRMLIndexedShape class is a superclass for geometry that use indexes. More...

`#include <Inventor/VRMLnodes/SoVRMLIndexedShape.h>`

Inheritance diagram for SoVRMLIndexedShape:

List of all members.

## Static Public Methods
void | initClass (void)
## Public Attributes
SoMFInt32 | coordIndex
SoMFInt32 | colorIndex
SoMFInt32 | normalIndex
SoMFInt32 | texCoordIndex
## Protected Methods
| SoVRMLIndexedShape (void)
virtual | ~SoVRMLIndexedShape ()
virtual void | notify (SoNotList *list)
virtual void | computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)
SbBool | getVertexData (SoState *state, const SoCoordinateElement *&coords, const SbVec3f *&normals, const int32_t *&cindices, const int32_t *&nindices, const int32_t *&tindices, const int32_t *&mindices, int &numcindices, const SbBool neednormals, SbBool &normalcacheused)

## Detailed Description

The SoVRMLIndexedShape class is a superclass for geometry that use indexes.

## Constructor & Destructor Documentation

SoVRMLIndexedShape::SoVRMLIndexedShape | ( | void |  | ) | `[protected]`

| Constructor.

SoVRMLIndexedShape::~SoVRMLIndexedShape | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoVRMLIndexedShape::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoVRMLVertexShape. Reimplemented in SoVRMLIndexedFaceSet.

void SoVRMLIndexedShape::notify | ( | SoNotList * | list | ) | `[protected, virtual]`

| Notifies all auditors for this instance when changes are made. Reimplemented from SoVRMLVertexShape.

void SoVRMLIndexedShape::computeBBox | ( | SoAction * | action,
|  | SbBox3f & | box,
|  | SbVec3f & | center
| ) | `[protected, virtual]`

| Implemented by SoShape subclasses to let the SoShape superclass know the exact size and weighted center point of the shape's bounding box. The bounding box and center point should be calculated and returned in the local coordinate system. The method implements action behavior for shape nodes for SoGetBoundingBoxAction. It is invoked from SoShape::getBoundingBox(). (Subclasses should not override SoNode::getBoundingBox().) The box parameter sent in is guaranteed to be an empty box, while center is undefined upon function entry. Implements SoShape.

SbBool SoVRMLIndexedShape::getVertexData | ( | SoState * | state,
|  | const SoCoordinateElement *& | coords,
|  | const SbVec3f *& | normals,
|  | const int32_t *& | cindices,
|  | const int32_t *& | nindices,
|  | const int32_t *& | tindices,
|  | const int32_t *& | mindices,
|  | int & | numcindices,
|  | const SbBool | neednormals,
|  | SbBool & | normalcacheused
| ) | `[protected]`

| Convenience method that will fetch data needed for rendering or generating primitives. Takes care of normal cache.

## Member Data Documentation

SoMFInt32 SoVRMLIndexedShape::coordIndex

| The coordinate index array.

SoMFInt32 SoVRMLIndexedShape::colorIndex

| The color index array.

SoMFInt32 SoVRMLIndexedShape::normalIndex

| The normal index array.

SoMFInt32 SoVRMLIndexedShape::texCoordIndex

| The texture coordinate index array.

The documentation for this class was generated from the following files:

- SoVRMLIndexedShape.h
- IndexedShape.cpp